GisViewerServiceParameters (GIS Viewer Widget 3.5.0-SNAPSHOT API)
Date: 2014-09-04

org.gcube.portlets.user.gisviewer.server

## Class GisViewerServiceParameters

- java.lang.Object
- - org.gcube.portlets.user.gisviewer.server.GisViewerServiceParameters

-     public class GisViewerServiceParameters
      extends Object

  Author:
    "Federico De Faveri defaveri@isti.cnr.it"

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected String` | `geoNetworkPwd`
    `protected String` | `geoNetworkUrl`
    `protected String` | `geoNetworkUser`
    `protected String` | `geoServerPwd`
    `protected String` | `geoServerUrl`
    `protected String` | `geoServerUser`
    `protected String` | `transectUrl`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `GisViewerServiceParameters()`
    `GisViewerServiceParameters(String geoServerUrl, String geoServerUser, String geoServerPwd, String geoNetworkUrl, String geoNetworkUser, String geoNetworkPwd, String transectUrl)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `String` | `getGeoNetworkPwd()`
    `String` | `getGeoNetworkUrl()`
    `String` | `getGeoNetworkUser()`
    `String` | `getGeoServerPwd()`
    `String` | `getGeoServerUrl()`
    `String` | `getGeoServerUser()`
    `String` | `getTransectUrl()`
    `void` | `setGeoNetworkPwd(String geoNetworkPwd)`
    `void` | `setGeoNetworkUrl(String geoNetworkUrl)`
    `void` | `setGeoNetworkUser(String geoNetworkUser)`
    `void` | `setGeoServerPwd(String geoServerPwd)`
    `void` | `setGeoServerUrl(String geoServerUrl)`
    `void` | `setGeoServerUser(String geoServerUser)`
    `void` | `setTransectUrl(String transectUrl)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### geoServerUrl

          protected String geoServerUrl

    - #### geoServerUser

          protected String geoServerUser

    - #### geoServerPwd

          protected String geoServerPwd

    - #### geoNetworkUrl

          protected String geoNetworkUrl

    - #### geoNetworkUser

          protected String geoNetworkUser

    - #### geoNetworkPwd

          protected String geoNetworkPwd

    - #### transectUrl

          protected String transectUrl

  - ### Constructor Detail

    - #### GisViewerServiceParameters

          public GisViewerServiceParameters()

    - #### GisViewerServiceParameters

          public GisViewerServiceParameters(String geoServerUrl,
                                    String geoServerUser,
                                    String geoServerPwd,
                                    String geoNetworkUrl,
                                    String geoNetworkUser,
                                    String geoNetworkPwd,
                                    String transectUrl)

      Parameters:
        `geoServerUrl` -
        `geoServerUser` -
        `geoServerPwd` -
        `geoNetworkUrl` -
        `geoNetworkUser` -
        `geoNetworkPwd` -
        `transectUrl` -

  - ### Method Detail

    - #### getGeoServerUrl

          public String getGeoServerUrl()

      Returns:
        the geoServerUrl

    - #### setGeoServerUrl

          public void setGeoServerUrl(String geoServerUrl)

      Parameters:
        `geoServerUrl` - the geoServerUrl to set

    - #### getGeoServerUser

          public String getGeoServerUser()

      Returns:
        the geoServerUser

    - #### setGeoServerUser

          public void setGeoServerUser(String geoServerUser)

      Parameters:
        `geoServerUser` - the geoServerUser to set

    - #### getGeoServerPwd

          public String getGeoServerPwd()

      Returns:
        the geoServerPwd

    - #### setGeoServerPwd

          public void setGeoServerPwd(String geoServerPwd)

      Parameters:
        `geoServerPwd` - the geoServerPwd to set

    - #### getGeoNetworkUrl

          public String getGeoNetworkUrl()

      Returns:
        the geoNetworkUrl

    - #### setGeoNetworkUrl

          public void setGeoNetworkUrl(String geoNetworkUrl)

      Parameters:
        `geoNetworkUrl` - the geoNetworkUrl to set

    - #### getGeoNetworkUser

          public String getGeoNetworkUser()

      Returns:
        the geoNetworkUser

    - #### setGeoNetworkUser

          public void setGeoNetworkUser(String geoNetworkUser)

      Parameters:
        `geoNetworkUser` - the geoNetworkUser to set

    - #### getGeoNetworkPwd

          public String getGeoNetworkPwd()

      Returns:
        the geoNetworkPwd

    - #### setGeoNetworkPwd

          public void setGeoNetworkPwd(String geoNetworkPwd)

      Parameters:
        `geoNetworkPwd` - the geoNetworkPwd to set

    - #### getTransectUrl

          public String getTransectUrl()

      Returns:
        the transectUrl

    - #### setTransectUrl

          public void setTransectUrl(String transectUrl)

      Parameters:
        `transectUrl` - the transectUrl to set

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2014. All Rights Reserved.